For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet contract
        • GETGet all contracts
        • POSTCreate contract
        • DELDelete contract
        • PATCHUpdate contract
Contact Sales
LogoLogo
API ReferenceContractsV2

Create contract

Beta
POST
/api/contracts/v2
POST
/api/contracts/v2
$curl -X POST https://api.joincandidhealth.com/api/contracts/v2 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "commercial_insurance_types": {
> "type": "allApply"
> },
> "contracting_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "effective_date": "effective_date",
> "medicaid_insurance_types": {
> "type": "allApply"
> },
> "medicare_insurance_types": {
> "type": "allApply"
> },
> "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "regions": {
> "type": "states",
> "states": [
> "AA",
> "AA"
> ]
> },
> "rendering_provider_ids": [
> "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> ]
>}'
200Successful
1{
2 "commercial_insurance_types": {
3 "type": "allApply"
4 },
5 "contract_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
6 "contracting_provider": {
7 "employment_status": "ACTIVE",
8 "is_billing": true,
9 "is_rendering": true,
10 "license_type": "MD",
11 "npi": "npi",
12 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
13 "provider_type": "INDIVIDUAL",
14 "addresses": [
15 {
16 "address": {
17 "address1": "address1",
18 "city": "city",
19 "state": "AA",
20 "zip_code": "zip_code",
21 "zip_plus_four_code": "zip_plus_four_code",
22 "address2": "address2"
23 },
24 "address_type": "DEFAULT"
25 },
26 {
27 "address": {
28 "address1": "address1",
29 "city": "city",
30 "state": "AA",
31 "zip_code": "zip_code",
32 "zip_plus_four_code": "zip_plus_four_code",
33 "address2": "address2"
34 },
35 "address_type": "DEFAULT"
36 }
37 ],
38 "employment_start_date": "employment_start_date",
39 "employment_termination_date": "employment_termination_date",
40 "first_name": "first_name",
41 "last_name": "last_name",
42 "medicaid_provider_id": "medicaid_provider_id",
43 "organization_name": "organization_name",
44 "ptan": "ptan",
45 "tax_id": "tax_id",
46 "taxonomy_code": "taxonomy_code"
47 },
48 "effective_date": "effective_date",
49 "medicaid_insurance_types": {
50 "type": "allApply"
51 },
52 "medicare_insurance_types": {
53 "type": "allApply"
54 },
55 "payer": {
56 "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
57 "payer_id": "payer_id",
58 "payer_name": "payer_name",
59 "availity_payer_name": "availity_payer_name",
60 "availity_claims_payer_id": "availity_claims_payer_id",
61 "availity_eligibility_id": "availity_eligibility_id",
62 "availity_remittance_payer_id": "availity_remittance_payer_id",
63 "street_address": {
64 "address1": "address1",
65 "city": "city",
66 "state": "AA",
67 "zip_code": "zip_code",
68 "zip_plus_four_code": "zip_plus_four_code",
69 "address2": "address2"
70 }
71 },
72 "provider_count": 1,
73 "regions": {
74 "type": "states",
75 "states": [
76 "AA",
77 "AA"
78 ]
79 },
80 "rendering_provider_ids": [
81 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
82 ],
83 "authorized_signatory": {
84 "first_name": "first_name",
85 "last_name": "last_name",
86 "title": "title",
87 "email": "email",
88 "phone": "phone",
89 "fax": "fax"
90 },
91 "contract_status": "pending",
92 "expiration_date": "expiration_date"
93}
Creates a new contract within the user's current organization
Was this page helpful?
Previous

Delete contract

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
commercial_insurance_typesobjectRequired
The commercial plan insurance types this contract applies.
contracting_provider_idUUIDRequired
The UUID of the provider under agreement to the contract
effective_datestringRequired
The starting day upon which the contract is effective
medicaid_insurance_typesobjectRequired
The Medicaid plan insurance types this contract applies.
medicare_insurance_typesobjectRequired
The Medicare plan insurance types this contract applies.
payer_uuidUUIDRequired
The UUID of the insurance company under agreement to the contract
regionsobjectRequired

The state(s) to which the contract’s coverage extends. It may also be set to “national” for the entirety of the US.

rendering_provider_idsset of UUIDsRequired
A rendering provider isn't contracted directly with the payer but can render services under the contract held by the contracting provider. Max items is 4000.
authorized_signatoryobjectOptional
contract_statusenumOptional
Allowed values:
expiration_datestringOptional
An optional end day upon which the contract expires

Response

This endpoint returns an object.
commercial_insurance_typesobject
The commercial plan insurance types this contract applies.
contract_idUUID
contracting_providerobject
The provider under contract
effective_datestring
The starting day upon which the contract is effective
medicaid_insurance_typesobject
The Medicaid plan insurance types this contract applies.
medicare_insurance_typesobject
The Medicare plan insurance types this contract applies.
payerobject
The insurance company under contract
provider_countinteger
The number of linked providers who can render medical services under this contract
regionsobject

The state(s) to which the contract’s coverage extends. It may also be set to “national” for the entirety of the US.

rendering_provider_idsset of UUIDs
The providers who can render medical services under the contract
authorized_signatoryobject
contract_statusenum
Allowed values:
expiration_datestring
An optional end day upon which the contract expires